Bug 1463178 - [Ganesha]Bricks got crashed while running posix compliance test suit on V4 mount
[Ganesha]Bricks got crashed while running posix compliance test suit on V4 m...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: geo-replication (Show other bugs)
mainline
Unspecified Unspecified
urgent Severity unspecified
: ---
: ---
Assigned To: Kotresh HR
:
Depends On: 1462773
Blocks: 1463623 1463626
  Show dependency treegraph
 
Reported: 2017-06-20 06:25 EDT by Kotresh HR
Modified: 2017-09-05 13:34 EDT (History)
10 users (show)

See Also:
Fixed In Version: glusterfs-3.12.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1462773
: 1463623 1463626 (view as bug list)
Environment:
Last Closed: 2017-09-05 13:34:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Kotresh HR 2017-06-20 06:32:09 EDT
Description of problem:
Volume bricks are crashing while running posix compliance suit on V4 mount

Version-Release number of selected component (if applicable):

# rpm -qa | grep ganesha
nfs-ganesha-2.4.4-8.el7rhgs.x86_64
glusterfs-ganesha-3.8.4-25.el7rhgs.x86_64
nfs-ganesha-debuginfo-2.4.4-8.el7rhgs.x86_64
nfs-ganesha-gluster-2.4.4-8.el7rhgs.x86_64


How reproducible:
2/2

Steps to Reproduce:
1.Create a 4 node ganesha cluster
2.Create a 6*2 distribute replicate volume.Enable ganesha on it.
3.Mount the volume on client via v4.Run Posix compliance

Actual results:
While running posix compliance bricks are crashing 

Expected results:
Bricks should not crash

Additional info:

Verfied the same on V3 and fuse mount,Issue is not observed.

===========
(gdb) bt
#0  0x00007fa973c581f7 in raise () from /lib64/libc.so.6
#1  0x00007fa973c598e8 in abort () from /lib64/libc.so.6
#2  0x00007fa973c97f47 in __libc_message () from /lib64/libc.so.6
#3  0x00007fa973d32d87 in __fortify_fail () from /lib64/libc.so.6
#4  0x00007fa973d30f40 in __chk_fail () from /lib64/libc.so.6
#5  0x00007fa973d302bb in __strncpy_chk () from /lib64/libc.so.6
#6  0x00007fa966bd292b in changelog_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/changelog.so
#7  0x00007fa96679b415 in br_stub_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/bitrot-stub.so
#8  0x00007fa96658a48b in posix_acl_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/access-control.so
#9  0x00007fa9756696b8 in default_unlink () from /lib64/libglusterfs.so.0
#10 0x00007fa96615c0ce in worm_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/worm.so
#11 0x00007fa965f4e413 in ro_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/read-only.so
#12 0x00007fa965d3e83e in leases_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/leases.so
#13 0x00007fa965b2caf9 in up_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/upcall.so
#14 0x00007fa975684167 in default_unlink_resume () from /lib64/libglusterfs.so.0
#15 0x00007fa975611b25 in call_resume () from /lib64/libglusterfs.so.0
#16 0x00007fa965915957 in iot_worker () from /usr/lib64/glusterfs/3.8.4/xlator/performance/io-threads.so
#17 0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#18 0x00007fa973d1b34d in clone () from /lib64/libc.so.6
(gdb) t a a bt

Thread 24 (Thread 0x7fa96872f700 (LWP 1324)):
#0  0x00007fa973d1b923 in epoll_wait () from /lib64/libc.so.6
#1  0x00007fa975648d70 in event_dispatch_epoll_worker () from /lib64/libglusterfs.so.0
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 23 (Thread 0x7fa96abf5700 (LWP 1315)):
#0  0x00007fa974452cf2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa975627728 in syncenv_task () from /lib64/libglusterfs.so.0
#2  0x00007fa975628570 in syncenv_processor () from /lib64/libglusterfs.so.0
#3  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 22 (Thread 0x7fa96b3f6700 (LWP 1314)):
#0  0x00007fa974452cf2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa975627728 in syncenv_task () from /lib64/libglusterfs.so.0
#2  0x00007fa975628570 in syncenv_processor () from /lib64/libglusterfs.so.0
#3  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 21 (Thread 0x7fa96c3f8700 (LWP 1312)):
#0  0x00007fa974456371 in sigwait () from /lib64/libpthread.so.0
#1  0x000055b451310efb in glusterfs_sigwaiter ()
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 20 (Thread 0x7fa94c09b700 (LWP 32698)):
#0  0x00007fa974452cf2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa96591590c in iot_worker () from /usr/lib64/glusterfs/3.8.4/xlator/performance/io-threads.so
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 19 (Thread 0x7fa96461e700 (LWP 1388)):
#0  0x00007fa974452945 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa9652d7e1b in index_worker () from /usr/lib64/glusterfs/3.8.4/xlator/features/index.so
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7fa975ac7780 (LWP 1310)):
#0  0x00007fa97444ff57 in pthread_join () from /lib64/libpthread.so.0
#1  0x00007fa975649320 in event_dispatch_epoll () from /lib64/libglusterfs.so.0
#2  0x000055b45130dd93 in main ()

Thread 17 (Thread 0x7fa94effd700 (LWP 19746)):
#0  0x00007fa973d1b923 in epoll_wait () from /lib64/libc.so.6
#1  0x00007fa975648d70 in event_dispatch_epoll_worker () from /lib64/libglusterfs.so.0
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7fa94c221700 (LWP 30255)):
#0  0x00007fa974452cf2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa96591590c in iot_worker () from /usr/lib64/glusterfs/3.8.4/xlator/performance/io-threads.so
---Type <return> to continue, or q <return> to quit---
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7fa95d6fb700 (LWP 1395)):
#0  0x00007fa973d127a3 in select () from /lib64/libc.so.6
#1  0x00007fa966bdbf3a in changelog_ev_dispatch () from /usr/lib64/glusterfs/3.8.4/xlator/features/changelog.so
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7fa95eefe700 (LWP 1392)):
#0  0x00007fa974452945 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa966bdbcf3 in changelog_ev_connector () from /usr/lib64/glusterfs/3.8.4/xlator/features/changelog.so
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7fa95f6ff700 (LWP 1390)):
#0  0x00007fa974452945 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa96679b1a3 in br_stub_signth () from /usr/lib64/glusterfs/3.8.4/xlator/features/bitrot-stub.so
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7fa94d7fa700 (LWP 1000)):
#0  0x00007fa973d127a3 in select () from /lib64/libc.so.6
#1  0x00007fa966bd8162 in changelog_fsync_thread () from /usr/lib64/glusterfs/3.8.4/xlator/features/changelog.so
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7fa94f7fe700 (LWP 1398)):
#0  0x00007fa974452945 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa967d1eaab in posix_fsyncer_pick () from /usr/lib64/glusterfs/3.8.4/xlator/storage/posix.so
#2  0x00007fa967d1ed35 in posix_fsyncer () from /usr/lib64/glusterfs/3.8.4/xlator/storage/posix.so
#3  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7fa94e7fc700 (LWP 999)):
#0  0x00007fa974452cf2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa966bd7d4e in changelog_rollover () from /usr/lib64/glusterfs/3.8.4/xlator/features/changelog.so
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7fa94dffb700 (LWP 969)):
#0  0x00007fa973ce21ad in nanosleep () from /lib64/libc.so.6
#1  0x00007fa973ce2044 in sleep () from /lib64/libc.so.6
#2  0x00007fa967d1e6fc in posix_health_check_thread_proc () from /usr/lib64/glusterfs/3.8.4/xlator/storage/posix.so
#3  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7fa95cefa700 (LWP 19748)):
#0  0x00007fa973ce21ad in nanosleep () from /lib64/libc.so.6
#1  0x00007fa973ce2044 in sleep () from /lib64/libc.so.6
#2  0x00007fa965b3019c in upcall_reaper_thread () from /usr/lib64/glusterfs/3.8.4/xlator/features/upcall.so
#3  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa973d1b34d in clone () from /lib64/libc.so.6
---Type <return> to continue, or q <return> to quit---

Thread 7 (Thread 0x7fa94ffff700 (LWP 1397)):
#0  0x00007fa974452cf2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa967d1b375 in posix_janitor_thread_proc () from /usr/lib64/glusterfs/3.8.4/xlator/storage/posix.so
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7fa95defc700 (LWP 1394)):
#0  0x00007fa973d127a3 in select () from /lib64/libc.so.6
#1  0x00007fa966bdbf3a in changelog_ev_dispatch () from /usr/lib64/glusterfs/3.8.4/xlator/features/changelog.so
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fa95e6fd700 (LWP 1393)):
#0  0x00007fa973d127a3 in select () from /lib64/libc.so.6
#1  0x00007fa966bdbf3a in changelog_ev_dispatch () from /usr/lib64/glusterfs/3.8.4/xlator/features/changelog.so
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fa96451d700 (LWP 1391)):
#0  0x00007fa974452945 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa966799ccb in br_stub_worker () from /usr/lib64/glusterfs/3.8.4/xlator/features/bitrot-stub.so
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fa96bbf7700 (LWP 1313)):
#0  0x00007fa973ce21ad in nanosleep () from /lib64/libc.so.6
#1  0x00007fa973ce2044 in sleep () from /lib64/libc.so.6
#2  0x00007fa97561570d in pool_sweeper () from /lib64/libglusterfs.so.0
#3  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fa96cbf9700 (LWP 1311)):
#0  0x00007fa974455e4d in nanosleep () from /lib64/libpthread.so.0
#1  0x00007fa9755fc3be in gf_timer_proc () from /lib64/libglusterfs.so.0
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fa94c0dc700 (LWP 32582)):
#0  0x00007fa973c581f7 in raise () from /lib64/libc.so.6
#1  0x00007fa973c598e8 in abort () from /lib64/libc.so.6
#2  0x00007fa973c97f47 in __libc_message () from /lib64/libc.so.6
#3  0x00007fa973d32d87 in __fortify_fail () from /lib64/libc.so.6
#4  0x00007fa973d30f40 in __chk_fail () from /lib64/libc.so.6
#5  0x00007fa973d302bb in __strncpy_chk () from /lib64/libc.so.6
#6  0x00007fa966bd292b in changelog_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/changelog.so
#7  0x00007fa96679b415 in br_stub_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/bitrot-stub.so
#8  0x00007fa96658a48b in posix_acl_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/access-control.so
#9  0x00007fa9756696b8 in default_unlink () from /lib64/libglusterfs.so.0
#10 0x00007fa96615c0ce in worm_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/worm.so
#11 0x00007fa965f4e413 in ro_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/read-only.so
#12 0x00007fa965d3e83e in leases_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/leases.so
#13 0x00007fa965b2caf9 in up_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/upcall.so
---Type <return> to continue, or q <return> to quit---
#14 0x00007fa975684167 in default_unlink_resume () from /lib64/libglusterfs.so.0
#15 0x00007fa975611b25 in call_resume () from /lib64/libglusterfs.so.0
#16 0x00007fa965915957 in iot_worker () from /usr/lib64/glusterfs/3.8.4/xlator/performance/io-threads.so
#17 0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#18 0x00007fa973d1b34d in clone () from /lib64/libc.so.6

========================


# gluster v status ganeshavol2
Status of volume: ganeshavol2
Gluster process                             TCP Port  RDMA Port  Online  Pid
------------------------------------------------------------------------------
Brick dhcp42-125.lab.eng.blr.redhat.com:/gl
uster/brick1/2                              49155     0          Y       1892 
Brick dhcp42-127.lab.eng.blr.redhat.com:/gl
uster/brick1/2                              49155     0          Y       14164
Brick dhcp42-129.lab.eng.blr.redhat.com:/gl
uster/brick1/2                              N/A       N/A        N       N/A  
Brick dhcp42-119.lab.eng.blr.redhat.com:/gl
uster/brick1/2                              N/A       N/A        N       N/A  
Brick dhcp42-125.lab.eng.blr.redhat.com:/gl
uster/brick2/2                              49156     0          Y       1893 
Brick dhcp42-127.lab.eng.blr.redhat.com:/gl
uster/brick2/2                              49156     0          Y       14174
Brick dhcp42-129.lab.eng.blr.redhat.com:/gl
uster/brick2/2                              49156     0          Y       19727
Brick dhcp42-119.lab.eng.blr.redhat.com:/gl
uster/brick2/2                              49156     0          Y       1343 
Brick dhcp42-125.lab.eng.blr.redhat.com:/gl
uster/brick3/2                              49157     0          Y       1886 
Brick dhcp42-127.lab.eng.blr.redhat.com:/gl
uster/brick3/2                              49157     0          Y       14182
Brick dhcp42-129.lab.eng.blr.redhat.com:/gl
uster/brick3/2                              49157     0          Y       19736
Brick dhcp42-119.lab.eng.blr.redhat.com:/gl
uster/brick3/2                              49157     0          Y       1352 
Self-heal Daemon on localhost               N/A       N/A        Y       12147
Self-heal Daemon on dhcp42-117.lab.eng.blr.
redhat.com                                  N/A       N/A        Y       7871 
Self-heal Daemon on dhcp42-114.lab.eng.blr.
redhat.com                                  N/A       N/A        Y       16355
Self-heal Daemon on dhcp42-88.lab.eng.blr.r
edhat.com                                   N/A       N/A        Y       5803 
Self-heal Daemon on dhcp42-107.lab.eng.blr.
redhat.com                                  N/A       N/A        Y       3554 
Self-heal Daemon on dhcp42-127.lab.eng.blr.
redhat.com                                  N/A       N/A        Y       14883
Self-heal Daemon on dhcp42-119.lab.eng.blr.
redhat.com                                  N/A       N/A        Y       16151
Self-heal Daemon on dhcp42-129.lab.eng.blr.
redhat.com                                  N/A       N/A        Y       21400
 
Task Status of Volume ganeshavol2
------------------------------------------------------------------------------
There are no active volume tasks



# prove -r /home/new_posix/ntfs-3g-pjd-fstest/
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/00.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/01.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/02.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/03.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/04.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/05.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/06.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/07.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/08.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/09.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/10.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/11.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/12.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/13.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chmod/00.t ...... Failed 2/106 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/chmod/01.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chmod/02.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chmod/03.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/chmod/04.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chmod/05.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/chmod/06.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chmod/07.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/chmod/08.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chmod/09.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chmod/10.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chmod/11.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/chown/00.t ...... ok       
/home/new_posix/ntfs-3g-pjd-fstest/tests/chown/01.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chown/02.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chown/03.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/chown/04.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chown/05.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/chown/06.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chown/07.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/chown/08.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chown/09.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chown/10.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/ftruncate/00.t .. ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/ftruncate/13.t .. ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/00.t ....... Failed 1/82 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/01.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/02.t ....... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/03.t ....... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/04.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/05.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/06.t ....... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/07.t ....... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/08.t ....... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/09.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/10.t ....... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/11.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/12.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/13.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/14.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/15.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/16.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/17.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkdir/00.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkdir/01.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkdir/02.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkdir/03.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkdir/04.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkdir/05.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkdir/06.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkdir/07.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkdir/08.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkdir/09.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkdir/10.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkdir/11.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkdir/12.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkfifo/00.t ..... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkfifo/01.t ..... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkfifo/02.t ..... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkfifo/03.t ..... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkfifo/04.t ..... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkfifo/05.t ..... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkfifo/06.t ..... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkfifo/07.t ..... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkfifo/08.t ..... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkfifo/09.t ..... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkfifo/10.t ..... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkfifo/11.t ..... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkfifo/12.t ..... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mknod/00.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mknod/01.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mknod/02.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mknod/03.t ...... Failed 9/12 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/mknod/04.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mknod/05.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mknod/06.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mknod/07.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mknod/08.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mknod/09.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mknod/10.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mknod/11.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/00.t ....... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/01.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/02.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/03.t ....... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/04.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/05.t ....... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/06.t ....... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/07.t ....... Failed 3/23 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/08.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/09.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/10.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/11.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/12.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/13.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/14.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/15.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/16.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/17.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/18.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/19.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/20.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/21.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/22.t ....... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/23.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/00.t ..... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/01.t ..... Failed 5/8 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/02.t ..... 1/14 rm: cannot remove ‘_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/x’: Remote I/O error
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/02.t ..... Failed 12/14 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/03.t ..... Failed 3/6 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/04.t ..... Failed 3/18 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/05.t ..... Failed 3/17 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/06.t ..... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/07.t ..... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/08.t ..... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/09.t ..... Failed 3/56 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/10.t ..... Failed 109/188 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/11.t ..... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/12.t ..... Failed 1/8 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/13.t ..... Failed 1/17 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/14.t ..... Failed 13/17 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/15.t ..... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/16.t ..... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/17.t ..... Failed 2/8 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/18.t ..... Failed 2/6 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/19.t ..... Failed 2/6 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/20.t ..... Failed 11/16 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/00.t ...... Failed 7/10 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/01.t ...... Failed 10/14 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/02.t ...... Failed 2/4 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/03.t ...... 1/12 rm: cannot remove ‘_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/x’: Remote I/O error
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/03.t ...... Failed 10/12 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/04.t ...... Failed 2/4 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/05.t ...... Failed 4/6 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/06.t ...... Failed 18/20 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/07.t ...... Failed 3/10 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/08.t ...... 1/10 /home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/08.t: line 17: cd: fstest_dcca8378c6c11028e77efd2f7aa49aee: No such file or directory
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/08.t ...... Failed 5/10 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/09.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/10.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/11.t ...... Failed 9/15 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/12.t ...... Failed 6/6 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/13.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/14.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/15.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/symlink/00.t .... 1/14 stat returned -1
/home/new_posix/ntfs-3g-pjd-fstest/tests/symlink/00.t .... 10/14 stat returned -1
/home/new_posix/ntfs-3g-pjd-fstest/tests/symlink/../misc.sh: line 115: [: ENOENT: integer expression expected
stat returned -1
/home/new_posix/ntfs-3g-pjd-fstest/tests/symlink/../misc.sh: line 115: [: ENOENT: integer expression expected
/home/new_posix/ntfs-3g-pjd-fstest/tests/symlink/00.t .... Failed 10/14 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/symlink/01.t .... Failed 1/5 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/symlink/02.t .... Failed 2/7 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/symlink/03.t .... 4/14 rm: cannot remove ‘_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/x’: Remote I/O error
/home/new_posix/ntfs-3g-pjd-fstest/tests/symlink/03.t .... Failed 12/14 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/symlink/04.t .... Failed 1/3 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/symlink/05.t .... Failed 2/12 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/symlink/06.t .... Failed 2/12 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/symlink/07.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/symlink/08.t .... Failed 3/9 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/symlink/09.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/symlink/10.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/symlink/11.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/symlink/12.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/truncate/00.t ... Failed 1/21 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/truncate/01.t ... Failed 1/5 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/truncate/02.t ... Failed 4/5 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/truncate/03.t ... 1/12 rm: cannot remove ‘_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/x’: Remote I/O error
/home/new_posix/ntfs-3g-pjd-fstest/tests/truncate/03.t ... Failed 11/12 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/truncate/04.t ... Failed 1/4 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/truncate/05.t ... 1/15 /home/new_posix/ntfs-3g-pjd-fstest/tests/truncate/05.t: line 17: cd: fstest_650d327916cfca9e2c4cbbd33bc6f8f6: No such file or directory
/home/new_posix/ntfs-3g-pjd-fstest/tests/truncate/05.t ... Failed 3/15 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/truncate/06.t ... Failed 1/8 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/truncate/07.t ... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/truncate/08.t ... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/truncate/09.t ... Failed 1/3 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/truncate/10.t ... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/truncate/11.t ... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/truncate/12.t ... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/truncate/13.t ... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/truncate/14.t ... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/00.t ..... Failed 11/55 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/01.t ..... Failed 1/5 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/02.t ..... Failed 2/4 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/03.t ..... 1/12 rm: cannot remove ‘_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/x’: Remote I/O error
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/03.t ..... Failed 10/12 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/04.t ..... Failed 2/4 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/05.t ..... Failed 2/10 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/06.t ..... 1/10 /home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/06.t: line 17: cd: fstest_57628bd98dccb9bc6d576078be880cc4: No such file or directory
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/06.t ..... Failed 10/10 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/07.t ..... Failed 4/6 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/08.t ..... Failed 3/3 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/09.t ..... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/10.t ..... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/11.t ..... 1/33 /home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/11.t: line 17: cd: fstest_777bb201bfad1d6a3b2f78f2db493e6d: No such file or directory
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/11.t ..... Failed 3/33 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/12.t ..... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/13.t ..... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/utime/00.t ...... Failed 2/40 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/utime/01.t ...... Failed 1/4 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/utime/02.t ...... Failed 1/30 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/utime/03.t ...... Failed 1/13 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/utime/04.t ...... 1/13 stat returned -1
(standard_in) 1: illegal character: N
(standard_in) 1: illegal character: O
(standard_in) 1: syntax error
(standard_in) 1: illegal character: N
(standard_in) 1: illegal character: T
(standard_in) 1: illegal character: N
(standard_in) 1: illegal character: O
(standard_in) 1: syntax error
(standard_in) 1: illegal character: N
(standard_in) 1: illegal character: T
/home/new_posix/ntfs-3g-pjd-fstest/tests/utime/04.t ...... Failed 13/13 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/xacl/00.t ....... rmdir: failed to remove ‘fstest_79d2579bd76c8a6a54740f3a5e3e2874’: Remote I/O error
/home/new_posix/ntfs-3g-pjd-fstest/tests/xacl/00.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/xacl/01.t ....... rmdir: failed to remove ‘fstest_d769ed475e94357d5ab7e38fdb90af45’: Remote I/O error
/home/new_posix/ntfs-3g-pjd-fstest/tests/xacl/01.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/xacl/02.t ....... rmdir: failed to remove ‘fstest_73fa0a42bbe0be484942e631c292a9e6’: Remote I/O error
/home/new_posix/ntfs-3g-pjd-fstest/tests/xacl/02.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/xacl/03.t ....... rmdir: failed to remove ‘fstest_fcfde2ae67ed73ba0b709b2dca4a57f6’: Remote I/O error
/home/new_posix/ntfs-3g-pjd-fstest/tests/xacl/03.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/xacl/04.t ....... rmdir: failed to remove ‘fstest_be44a1740d31e55fc6bc8555f8301604’: Remote I/O error
/home/new_posix/ntfs-3g-pjd-fstest/tests/xacl/04.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/xacl/05.t ....... rmdir: failed to remove ‘fstest_5bf51e44f756d3b4d45707145b0bf914’: Remote I/O error
/home/new_posix/ntfs-3g-pjd-fstest/tests/xacl/05.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/xacl/06.t ....... rmdir: failed to remove ‘fstest_8fdb99a930ef12d4173fb92f6b493c2b’: Remote I/O error
/home/new_posix/ntfs-3g-pjd-fstest/tests/xacl/06.t ....... ok   

Test Summary Report
-------------------
/home/new_posix/ntfs-3g-pjd-fstest/tests/chmod/00.t    (Wstat: 0 Tests: 106 Failed: 2)
  Failed tests:  31, 39
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/00.t     (Wstat: 0 Tests: 82 Failed: 1)
  Failed test:  77
/home/new_posix/ntfs-3g-pjd-fstest/tests/mknod/03.t    (Wstat: 0 Tests: 12 Failed: 9)
  Failed tests:  1-3, 5-7, 9-11
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/07.t     (Wstat: 0 Tests: 23 Failed: 3)
  Failed tests:  5, 7, 9
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/01.t   (Wstat: 0 Tests: 8 Failed: 5)
  Failed tests:  3-7
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/02.t   (Wstat: 0 Tests: 14 Failed: 12)
  Failed tests:  1-7, 9, 11-14
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/03.t   (Wstat: 0 Tests: 6 Failed: 3)
  Failed tests:  3, 5-6
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/04.t   (Wstat: 0 Tests: 18 Failed: 3)
  Failed tests:  16-18
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/05.t   (Wstat: 0 Tests: 17 Failed: 3)
  Failed tests:  15-17
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/09.t   (Wstat: 0 Tests: 56 Failed: 3)
  Failed tests:  54-56
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/10.t   (Wstat: 0 Tests: 188 Failed: 109)
  Failed tests:  61-63, 65-69, 71-75, 77-81, 83-89, 91-96
                98-104, 106-111, 113-119, 121-126, 128-130
                132-133, 135-141, 143-148, 150-156, 158-163
                165-171, 173-178, 180-182, 184-188
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/12.t   (Wstat: 0 Tests: 8 Failed: 1)
  Failed test:  8
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/13.t   (Wstat: 0 Tests: 17 Failed: 1)
  Failed test:  17
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/14.t   (Wstat: 0 Tests: 17 Failed: 13)
  Failed tests:  2-3, 5-8, 10-13, 15-17
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/17.t   (Wstat: 0 Tests: 8 Failed: 2)
  Failed tests:  1, 4
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/18.t   (Wstat: 0 Tests: 6 Failed: 2)
  Failed tests:  5-6
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/19.t   (Wstat: 0 Tests: 6 Failed: 2)
  Failed tests:  5-6
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/20.t   (Wstat: 0 Tests: 16 Failed: 11)
  Failed tests:  4, 7-16
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/00.t    (Wstat: 0 Tests: 10 Failed: 7)
  Failed tests:  3-5, 7-10
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/01.t    (Wstat: 0 Tests: 14 Failed: 10)
  Failed tests:  5-14
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/02.t    (Wstat: 0 Tests: 4 Failed: 2)
  Failed tests:  1-2
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/03.t    (Wstat: 0 Tests: 12 Failed: 10)
  Failed tests:  1-6, 9-12
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/04.t    (Wstat: 0 Tests: 4 Failed: 2)
  Failed tests:  2-3
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/05.t    (Wstat: 0 Tests: 6 Failed: 4)
  Failed tests:  2-5
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/06.t    (Wstat: 0 Tests: 20 Failed: 18)
  Failed tests:  3-20
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/07.t    (Wstat: 0 Tests: 10 Failed: 3)
  Failed tests:  8-10
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/08.t    (Wstat: 0 Tests: 10 Failed: 5)
  Failed tests:  1, 6, 8-10
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/11.t    (Wstat: 0 Tests: 15 Failed: 9)
  Failed tests:  6-11, 13-15
/home/new_posix/ntfs-3g-pjd-fstest/tests/rmdir/12.t    (Wstat: 0 Tests: 6 Failed: 6)
  Failed tests:  1-6
/home/new_posix/ntfs-3g-pjd-fstest/tests/symlink/00.t  (Wstat: 0 Tests: 14 Failed: 10)
  Failed tests:  1-2, 5-6, 9-14
/home/new_posix/ntfs-3g-pjd-fstest/tests/symlink/01.t  (Wstat: 0 Tests: 5 Failed: 1)
  Failed test:  5
/home/new_posix/ntfs-3g-pjd-fstest/tests/symlink/02.t  (Wstat: 0 Tests: 7 Failed: 2)
  Failed tests:  3-4
/home/new_posix/ntfs-3g-pjd-fstest/tests/symlink/03.t  (Wstat: 0 Tests: 14 Failed: 12)
  Failed tests:  1-8, 11-14
/home/new_posix/ntfs-3g-pjd-fstest/tests/symlink/04.t  (Wstat: 0 Tests: 3 Failed: 1)
  Failed test:  3
/home/new_posix/ntfs-3g-pjd-fstest/tests/symlink/05.t  (Wstat: 0 Tests: 12 Failed: 2)
  Failed tests:  11-12
/home/new_posix/ntfs-3g-pjd-fstest/tests/symlink/06.t  (Wstat: 0 Tests: 12 Failed: 2)
  Failed tests:  11-12
/home/new_posix/ntfs-3g-pjd-fstest/tests/symlink/08.t  (Wstat: 0 Tests: 9 Failed: 3)
  Failed tests:  6-7, 9
/home/new_posix/ntfs-3g-pjd-fstest/tests/truncate/00.t (Wstat: 0 Tests: 21 Failed: 1)
  Failed test:  21
/home/new_posix/ntfs-3g-pjd-fstest/tests/truncate/01.t (Wstat: 0 Tests: 5 Failed: 1)
  Failed test:  5
/home/new_posix/ntfs-3g-pjd-fstest/tests/truncate/02.t (Wstat: 0 Tests: 5 Failed: 4)
  Failed tests:  1-4
/home/new_posix/ntfs-3g-pjd-fstest/tests/truncate/03.t (Wstat: 0 Tests: 12 Failed: 11)
  Failed tests:  1-7, 9-12
/home/new_posix/ntfs-3g-pjd-fstest/tests/truncate/04.t (Wstat: 0 Tests: 4 Failed: 1)
  Failed test:  4
/home/new_posix/ntfs-3g-pjd-fstest/tests/truncate/05.t (Wstat: 0 Tests: 15 Failed: 3)
  Failed tests:  1, 14-15
/home/new_posix/ntfs-3g-pjd-fstest/tests/truncate/06.t (Wstat: 0 Tests: 8 Failed: 1)
  Failed test:  8
/home/new_posix/ntfs-3g-pjd-fstest/tests/truncate/09.t (Wstat: 0 Tests: 3 Failed: 1)
  Failed test:  3
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/00.t   (Wstat: 0 Tests: 55 Failed: 11)
  Failed tests:  37-38, 43-44, 49-55
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/01.t   (Wstat: 0 Tests: 5 Failed: 1)
  Failed test:  5
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/02.t   (Wstat: 0 Tests: 4 Failed: 2)
  Failed tests:  1-2
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/03.t   (Wstat: 0 Tests: 12 Failed: 10)
  Failed tests:  1-6, 9-12
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/04.t   (Wstat: 0 Tests: 4 Failed: 2)
  Failed tests:  1-2
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/05.t   (Wstat: 0 Tests: 10 Failed: 2)
  Failed tests:  9-10
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/06.t   (Wstat: 0 Tests: 10 Failed: 10)
  Failed tests:  1-10
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/07.t   (Wstat: 0 Tests: 6 Failed: 4)
  Failed tests:  1, 3-4, 6
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/08.t   (Wstat: 0 Tests: 3 Failed: 3)
  Failed tests:  1-3
/home/new_posix/ntfs-3g-pjd-fstest/tests/unlink/11.t   (Wstat: 0 Tests: 33 Failed: 3)
  Failed tests:  1, 32-33
/home/new_posix/ntfs-3g-pjd-fstest/tests/utime/00.t    (Wstat: 0 Tests: 40 Failed: 2)
  Failed tests:  38, 40
/home/new_posix/ntfs-3g-pjd-fstest/tests/utime/01.t    (Wstat: 0 Tests: 4 Failed: 1)
  Failed test:  4
/home/new_posix/ntfs-3g-pjd-fstest/tests/utime/02.t    (Wstat: 0 Tests: 30 Failed: 1)
  Failed test:  30
/home/new_posix/ntfs-3g-pjd-fstest/tests/utime/03.t    (Wstat: 0 Tests: 13 Failed: 1)
  Failed test:  13
/home/new_posix/ntfs-3g-pjd-fstest/tests/utime/04.t    (Wstat: 0 Tests: 13 Failed: 13)
  Failed tests:  1-13
Files=210, Tests=2328, 100 wallclock secs ( 1.17 usr  0.31 sys +  8.95 cusr 18.02 csys = 28.45 CPU)
Result: FAIL
Comment 2 Worker Ant 2017-06-20 06:38:40 EDT
REVIEW: https://review.gluster.org/17579 (feature/changelog: Fix buffer overflow crash) posted (#1) for review on master by Kotresh HR (khiremat@redhat.com)
Comment 3 Worker Ant 2017-06-20 08:10:00 EDT
REVIEW: https://review.gluster.org/17579 (feature/changelog: Fix buffer overflow crash) posted (#2) for review on master by Kotresh HR (khiremat@redhat.com)
Comment 4 Worker Ant 2017-06-21 00:45:17 EDT
REVIEW: https://review.gluster.org/17579 (feature/changelog: Fix buffer overflow crash) posted (#3) for review on master by Kotresh HR (khiremat@redhat.com)
Comment 5 Worker Ant 2017-06-21 06:07:03 EDT
COMMIT: https://review.gluster.org/17579 committed in master by Aravinda VK (avishwan@redhat.com) 
------
commit b224f4253b7d3de3077ee35c8bdc20618eae4b7c
Author: Kotresh HR <khiremat@redhat.com>
Date:   Tue Jun 20 06:26:18 2017 -0400

    feature/changelog: Fix buffer overflow crash
    
    The buffer used to hold the basename  was hard coded
    to the size of NAME_MAX(255). It might lead to buffer
    overflow crashes when the basename which is sent
    is more than NAME_MAX length. Fixed the same.
    
    Change-Id: I6c1cad3ccaeb8c55549b1d3c5f96a198f65ba2b7
    BUG: 1463178
    Signed-off-by: Kotresh HR <khiremat@redhat.com>
    Reviewed-on: https://review.gluster.org/17579
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: jiffin tony Thottan <jthottan@redhat.com>
Comment 6 Shyamsundar 2017-09-05 13:34:44 EDT
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.12.0, please open a new bug report.

glusterfs-3.12.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://lists.gluster.org/pipermail/announce/2017-September/000082.html
[2] https://www.gluster.org/pipermail/gluster-users/

Note You need to log in before you can comment on or make changes to this bug.